---
type: api
title: Update a VectorDB project
description: Only the fields included in the body of the request will be updated.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-serverless/operation/operation-patchvectordbproject
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-serverless/operation/operation-patchvectordbproject
products:
  - Elastic Cloud Serverless
---

# Update a VectorDB project

- Server: `https://api.elastic-cloud.com`

## Paths

- `PATCH` `/api/v1/serverless/projects/vectordb/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-serverless/authentication#apikey)

## Description

Only the fields included in the body of the request will be updated.

## Request Body

`application/json`

The VectorDB project patch body

- `name` (string · min: 1 · max: 255) — optional
  Descriptive name for a project.
- `alias` (string · min: 1 · max: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$) — optional
  A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
- `search_lake` ({} OptionalVectorDBSearchLake) — optional — nullable
  Configuration for entire set of capabilities that make the data searchable in VectorDB. Pass `null` to reset configuration to the default values.
  - `search_power` (integer · min: 100 · max: 1900 · × 100) — optional — nullable
    Controls how fast searches are against your project data. Must be a multiple of 100. Pass `null` to reset the Search Power to the default value.
- `traffic_filters` ([] null) — optional — nullable
  traffic filters IDs
  - `id` (string) — required
    traffic filter ID
- `linked` ({} OptionalLinkConfiguration) — optional — nullable
  Configuration for projects linked to this project
  - `projects` (map string to OptionalLinkedProject) — optional
    Map values ({} OptionalLinkedProject)
    - `type` (enum ProjectType) — required
      The type of the linked project
      Values: `elasticsearch`, `observability`, `security`, `vectordb`
- `metadata` ({} OptionalMetadata) — optional
  Metadata about the project
  - `tags` (ProjectPatchTags) — required
    Tags that need to be updated for a project. The maximum number of tags that can be updated is 64.

## Responses

#### `200`

The updated VectorDB project.

`application/json`

- `id` (string · pattern: ^[a-z0-9]{32}$)
  ID of the project.
- `name` (string · min: 1 · max: 255)
  Descriptive name for a project.
- `alias` (string · min: 8 · max: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$)
  A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
- `region_id` (string)
  Unique human-readable identifier for a region in Elastic Cloud.
- `metadata` ({} ProjectMetadata)
  Additional details about the project.
  - `created_at` (string)
    Date and time when the project was created.
  - `created_by` (string)
    ID of the user.
  - `organization_id` (string)
    The Organization ID who owns the project.
  - `suspended_at` (string)
    Date and time when the project was suspended.
  - `suspended_reason` (string)
    Reason why the project was suspended.
  - `tags` (ProjectTags)
    Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
  - `system_tags` (ProjectSystemTags)
    System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
- `cloud_id` (string)
  The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
- `traffic_filters` ([] TrafficFilters)
  traffic filters IDs
  - `id` (string)
    traffic filter ID
- `linked` ({} LinkConfiguration)
  Configuration for projects linked to this project
  - `projects` (map string to LinkedProject)
    Map values ({} LinkedProject)
    - `status` (enum LinkedProjectStatus)
      The state of the linked project.
      Values: `enabled`, `suspended`, `deleted`
    - `type` (enum ProjectType)
      The type of the linked project
      Values: `elasticsearch`, `observability`, `security`, `vectordb`
- `type` (enum)
  the type of the project
  Values: `vectordb`
- `endpoints` ({} VectorDBProjectEndpoints)
  The endpoints to access the different apps of the project.
  - `elasticsearch` (string)
    The endpoint to access elasticsearch.
  - `kibana` (string)
    The endpoint to access kibana.
- `private_endpoints` ({} VectorDBProjectPrivateEndpoints)
  Private endpoints (URLs) for VectorDB projects when PrivateLink is enabled.
  - `elasticsearch` (string)
    The PrivateLink endpoint URL to access elasticsearch.
  - `kibana` (string)
    The PrivateLink endpoint URL to access kibana.
- `search_lake` ({} VectorDBSearchLake)
  Configuration for entire set of capabilities that make the data searchable in VectorDB.
  - `search_power` (integer · min: 100 · max: 1900 · × 100)
    Controls how fast searches are against your project data. Must be a multiple of 100.
##### Response Headers

- `ETag` (string)

#### `404`

Not Found

`application/json`

- `errors` ([] ErrorResponse)
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
#### `409`

Conflict

`application/json`

- `errors` ([] ErrorResponse)
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
#### `412`

Precondition failed

`application/json`

- `errors` ([] ErrorResponse)
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
## Code Examples

#### Console

```console
PATCH /api/v1/serverless/projects/vectordb/{id}
```

#### curl

```curl
curl -X PATCH "https://api.elastic-cloud.com/api/v1/serverless/projects/vectordb/{id}"
```

